For the complete documentation index, see llms.txt. This page is also available as Markdown.

Invoice JSON

To get the invoice data in JSON format, you need docId of the PDF. To get docId upload the PDF first.

Invoice

Invoice JSON

POST https://pdf.ai/api/v1/invoice

Get desired JSON formatted responses from the invoice PDF using docId

Headers

Name
Type
Description

X-API-Key*

string

<API-key>

Request Body

Name
Type
Description

docId*

string

Document ID obtained after uploading PDF

message*

string

Your query or JSON format details

use_gpt4

boolean

To get response using GPT-4 model. Default model: gpt-4-turbo

model

string

To choose GPT-4 model "gpt-4o" or "gpt-4-turbo"(default). gpt-4o message costs 2 credits, gpt-4-turbo message costs 4 credits.

{
  "content": {
    "products": [
      {
        "name": "First product",
        "quantity": 30
      },
      {
        "name": "Second product",
        "quantity": 20
      }
    ]
  }
}

Last updated

Was this helpful?